# Allegra on Docker

In this directory you find shell scripts and a number of Docker files
that help you to get a Allegra instance running in a few minutes.

## Install and Update

Create a file <context>.cfg, like "allegra-demo.cfg" either
here in this directory or in /etc/allegra. The file must look like this:

----------- <context>.cfg ----------
#!/bin/bash
DBPASSWD=tissiorwhatever
DBUSER=trackporwhatever
HTTP_PORT=8080           # must be a free port
AJP_PORT=7409            # if run behind Apache http server
VERSION=latest-dev
THOME=/home/track
JOPTS="-Djava.awt.headless=true -Xmx1024m"
---------- end of file ------------

From the command line type

  ./adocker

This will print the help.

Now create an instance with

  ./adocker start <context>

You will reach your installation at http://localhost:8080/allegra.

You can update an instance to the latest version with

  ./adocker update <context>

## Docker files

The Docker files provided refer to
  1. the latest official release (allegra-latest-dist)
  2. the latest development build (allegra-latest-dev)
  3. the latest official release with TeX (allegra-tex-latest-dist)
  4. the latest development build (allegra-tex-latest-dev)
  5. a production release, same as 1. (allegra-production)
  6. a test builld, same as 2. (allegra-test)
  7. the base images (allegra-base[-tex].dockerfile)

The Docker files provide an Apache Tomcat server with Allegra installed,
but no database system. To get running quickly use the adocker shell
script.

## Image Layers Structure

The Allegra Docker layered image structure looks like this:

  * allegrapm/VERSION   # from allegra-VERSION.dockerfile
  * allegrapm/base      # from allegra-base.dockerfile 
  * tomcat8             # from remote image

or with LaTeX support

  * allegrapm/VERSION   # from allegra-VERSION.dockerfile
  * allegrapm/tex       # allegra-base-tex.dockerfile
  * tomcat8             # from remote image

