# Base Dockerfile for Allegra on Debian
# This is without the LaTeX image

FROM tomcat:9.0.54-jre11-openjdk-bullseye
LABEL maintainer="Steinbeis GmbH & Co. KG (support@trackplus.com)"
LABEL version=latest

RUN set -ex; \
	if ! grep -q bullseye /etc/apt/sources.list; then \
		{ \
		  echo 'deb http://deb.debian.org/debian bullseye main'; \
		} > /etc/apt/sources.list.d/bullseye.list; \
	fi
RUN apt-get update && apt-get install -y --no-install-recommends \		
        default-mysql-client \
        vim
	
# Install Allegra print server
RUN wget https://www.trackplus.com/files/downloads/installer/allegra-print-server/allegra-print-server-installer.sh &&  \
			chmod 755 allegra-print-server-installer.sh; \
			./allegra-print-server-installer.sh			

RUN rm -rf /var/lib/apt/lists/*

CMD [ "/bin/bash", "-c", "cd /opt/allegra-print-server/ && ./startStop.sh start && /usr/local/tomcat/conf/entry.sh" ]